function [c] = control()

%model needs to have compartment with the name SYSTEM
m = sbioselect('Type', 'compartment','Name','system');
if isempty(m)
    c=0;
    return
end
system = m(1);

%model needs to have compartment with the name CELL1
m = sbioselect('Type', 'compartment','Name','cell1');
if isempty(m)
    c=0;
    return
end
basicCell = m(1);

if basicCell.Owner ~= system
    c=0;
    return
end



c = 1;